# Generated by Django 4.1.2 on 2022-11-16 11:24

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PushToken',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=500, verbose_name='Token')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
            ],
            options={
                'verbose_name': 'Push Tocken',
                'verbose_name_plural': 'Push Tockens',
            },
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('device_agent_id', models.CharField(max_length=128, verbose_name='ID device')),
                ('device_agent_represent', models.CharField(max_length=128, verbose_name='Name device')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Datetime create')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Datetime update')),
                ('is_confirmed', models.BooleanField(default=False, verbose_name='Is confirmed')),
                ('is_blocked', models.BooleanField(default=False, verbose_name='Is blocked')),
                ('is_deactivated', models.BooleanField(default=False, verbose_name='Is deactivated')),
                ('unlock_date', models.DateTimeField(blank=True, null=True, verbose_name='Date to unlock')),
                ('lock_counter', models.PositiveSmallIntegerField(default=0, verbose_name='Lock counter')),
                ('refresh_token', models.CharField(blank=True, max_length=128, null=True, verbose_name='Refresh token')),
                ('datetime_expiration', models.DateTimeField(verbose_name='Datetime expiration')),
            ],
            options={
                'verbose_name': 'Session',
                'verbose_name_plural': 'Sessions',
            },
        ),
    ]
